ghc-8.0.2: The GHC API

Safe Haskell | None
Language | Haskell2010

TcGenGenerics

# Documentation

canDoGenerics :: TyCon -> Validity Source #

canDoGenerics1 :: TyCon -> Validity Source #

data GenericKind Source #

Constructors

Gen0 |
Gen1 |

gen_Generic_binds :: GenericKind -> TyCon -> Type -> Module -> TcM (LHsBinds RdrName, FamInst) Source #

get_gen1_constrained_tys :: TyVar -> Type -> [Type] Source #